unit SaveContrlsReg;

interface

uses Classes, SaveCheckBox, SaveComboBox, SaveListBox, SaveRadioGroup,
   Options, SCheckListBox, Registry, IniFiles, DsgnIntf,
   ShellAPI, Windows, Messages, SysUtils, Graphics, Controls, Forms,
   Dialogs, StdCtrls, SaveForm, SaveEdit, ESaveListBox, comctrls,
   SGListsContrl, ESaveComboBox, AMNAppButton, ESaveCheckListBox, AMNAboutEditor,
   ESaveEdit, SaveTrackBar, AMNCPUBench, AMNFile, AMNSysInfo, AMNMovePanel,
   Reboot, AMNShellPopup, AMNOpenWith, AMNAboutDlg, AMNSelFolder, AMNSysKeys,
   PropEdFrm, AMNChangeIconDlg, AMNAppSpeedButton, AMNShellAbout, AMNFileVersion,
   AMNStrings, AMNDelphiIDE, AMNEdit, AmnMessageBx, AMNSysSound, AMNLabel, AMNShortCut,
   AMNRegSvr;
   
procedure Register;
   
implementation

uses AMNShared;

procedure Register;
begin
   RegisterComponents('Save Controls', [TSCheckListBox]);
   RegisterComponents('Save Controls', [TSaveRadioGroup]);
   RegisterComponents('Save Controls', [TSaveListBox]);
   RegisterComponents('Save Controls', [TSaveComboBox]);
   RegisterComponents('Save Controls', [TSaveCheckBox]);
   RegisterComponents('Save Controls', [TSaveForm]);
   RegisterComponents('Save Controls', [TSaveEdit]);
   RegisterComponents('Save Controls', [TSGListBox]);
   RegisterComponents('Save Controls', [TSGComboBox]);
   RegisterComponents('Save Controls', [TESaveComboBox]);
   RegisterComponents('Save Controls', [TESaveListBox]);
   RegisterComponents('Save Controls', [TESaveCheckListBox]);
   RegisterComponents('Save Controls', [TESaveEdit]);
   RegisterComponents('Save Controls', [TSaveTrackBar]);
   RegisterComponents('Save Controls', [TAMNAboutDlg]);
   RegisterComponents('Save Controls', [TAMNAppButton]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNAppButton, 'Version',
   TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNAppSpeedButton]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNAppSpeedButton,
   'Version',
   TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNChangeIconDlg]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNChangeIconDlg,
   'Version',
   TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNCPUSpeed]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNCPUSpeed,
   'Version', TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNFile]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNFile,
   'Version', TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNMovePanel]);
   RegisterComponentEditor(TAMNMovePanel, TAMNMovePanelOptions);
   RegisterComponents('Save Controls', [TAMNOpenWith]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNOpenWith,
   'Version', TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNSelectFolder]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNSelectFolder,
   'Version', TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNShellAbout]);
   RegisterComponentEditor(TAMNShellAbout, TAMNAboutTest);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNShellAbout,
   'Version', TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNShellPopup, TAMNPropDlg]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNShellPopup,
   'Version', TAMNSOFTVersionProperty);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNPropDlg,
   'Version', TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNSysInfo]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNSysInfo,
   'Version', TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNSysKeys]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNSysKeys,
   'Version', TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNReboot]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TOptions, 'Version',
   TAMNSOFTVersionProperty);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TSimpleOptions, 'Version',
   TAMNSOFTVersionProperty);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TSGListsOptions, 'Version',
   TAMNSOFTVersionProperty);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNAboutOptions, 'Version',
   TAMNSOFTVersionProperty);
   RegisterComponentEditor(TAMNAppSpeedButton, TAMNSharedProp);
   RegisterComponentEditor(TAMNChangeIconDlg, TAMNSharedProp);
   RegisterComponentEditor(TAMNSysKeys, TAMNSharedProp);
   RegisterComponentEditor(TAMNAppButton, TAMNSharedProp);
   RegisterComponentEditor(TAMNCPUSpeed, TAMNSharedProp);
   RegisterComponentEditor(TAMNOpenWith, TAMNSharedProp);
   RegisterComponentEditor(TAMNShellPopup, TAMNSharedProp);
   RegisterComponentEditor(TAMNSysInfo, TAMNSharedProp);
   RegisterComponentEditor(TAMNReboot, TAMNSharedProp);
 //  RegisterComponentEditor(TAMNMovePanel, TAMNSharedProp);
   RegisterComponentEditor(TAMNPropDlg, TAMNSharedProp);
   RegisterComponentEditor(TAMNFile, TAMNSharedProp);
   RegisterPropertyEditor(Typeinfo(string), TAMNFile, 'OutputFile',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNAppSpeedButton,
   'ApplicationName', TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNAppSpeedButton, 'CommandLine',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNAppButton, 'ApplicationName',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNAppButton, 'CommandLine',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNPropDlg, 'ShellItem',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNChangeIconDlg, 'FileName',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNOpenWith, 'FileName',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNShellPopup, 'ShellItem',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TOptions, 'IniFile',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TSimpleOptions, 'IniFile',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TCommonDialog, 'FileName',
   TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNAboutDlg, 'Dll_Version',
   TDllVersionProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNChangeIconDlg, 'Dll_Version',
   TDllVersionProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNSelectFolder, 'Dll_Version',
   TDllVersionProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNSysInfo, 'Dll_Version',
   TDllVersionProperty);
   RegisterComponentEditor(TSaveCheckBox, TSaveCheckBoxOptions);
   RegisterComponentEditor(TSaveComboBox, TSaveComboBoxOptions);
   RegisterComponentEditor(TSaveForm, TSaveFormOptions);
   RegisterComponentEditor(TSaveEdit, TSaveEditOptions);
   RegisterComponentEditor(TESaveEdit, TESaveEditOptions);
   RegisterComponentEditor(TSCheckListBox, TSaveCheckListOptions);
   RegisterComponentEditor(TSaveListBox, TSaveListBoxOptions);
   RegisterComponentEditor(TSaveRadioGroup, TSaveRadioGroupOptions);
   RegisterComponentEditor(TSGListBox, TSGListBoxOptions);
   RegisterComponentEditor(TSGComboBox, TSGComboBoxOptions);
   RegisterComponentEditor(TESaveComboBox, TESaveComboBoxOptions);
   RegisterComponentEditor(TESaveListBox, TESaveListBoxOptions);
   RegisterComponentEditor(TESaveCheckListBox, TESaveCheckListBoxOptions);
   RegisterComponentEditor(TSaveTrackBar, TSaveTrackBarOptions);
   RegisterComponentEditor(TAMNAboutDlg, TAMNAboutOptionsEditor);
   RegisterComponentEditor(TAMNSelectFolder, TAMNSelectFolderOptions);
   RegisterComponents('Save Controls', [TAMNStrings]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNStrings,
   'Version', TAMNSOFTVersionProperty);
   RegisterComponentEditor(TAMNStrings, TAMNStringsOptions);
   RegisterComponents('Save Controls', [TAMNFileVersion]);
   RegisterPropertyEditor(Typeinfo(string), TAMNFileVersion, 'FileName',
   TFileNameProperty);
   RegisterComponentEditor(TAMNFileVersion, TAMNSharedProp);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNFileVersion, 'Version',
   TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNDelphiIDE]);
   RegisterComponentEditor(TAMNDelphiIDE, TAMNSharedProp);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNDelphiIDE, 'Version',
   TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAmnMessageBx]);
   RegisterComponentEditor(TAmnMessageBx, TAmnMessageBxOptions);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAmnMessageBx, 'Version',
   TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNSysSound]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNSysSound, 'Version',
   TAMNSOFTVersionProperty);
   RegisterComponentEditor(TAMNSysSound, TAMNSysSoundOptions);
   RegisterComponents('Save Controls', [TAMNLabel]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNLabel, 'Version',
   TAMNSOFTVersionProperty);
   RegisterComponentEditor(TAMNLabel, TAMNSharedProp);
   RegisterComponentEditor(TAMNShortCut, TAMNShortCutOptions);
   RegisterComponents('Save Controls', [TAMNShortCut]);
   RegisterPropertyEditor(Typeinfo(string), TAMNShortCut,
   'IconFile', TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNShortCut,
   'LinkName', TFileNameProperty);
   RegisterPropertyEditor(Typeinfo(string), TAMNShortCut,
   'ApplicationName', TFileNameProperty);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNShortCut, 'Version',
   TAMNSOFTVersionProperty);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNReboot, 'Version',
   TAMNSOFTVersionProperty);
   RegisterComponents('Save Controls', [TAMNEdit]);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNEdit, 'Version',
   TAMNSOFTVersionProperty);
   RegisterComponentEditor(TAMNEdit, TAMNSharedProp);
   RegisterComponents('Save Controls', [TAMNRegSvr]);
   RegisterPropertyEditor(Typeinfo(string), TAMNRegSvr, 'OCX_Name',
   TFileNameProperty);
   RegisterPropertyEditor(TypeInfo(TAMNSOFTVersion), TAMNRegSvr, 'Version',
   TAMNSOFTVersionProperty);
   RegisterComponentEditor(TAMNRegSvr, TAMNSharedProp);
end;

end.


